Outbound
Delete Leads
Deletes one or more leads associated with a specific outbound campaign.
DELETE
/
v1
/
Outbound
/
{outboundId}
/
Leads
Delete Leads
curl --request DELETE \
--url https://api.nlpearl.ai/v1/Outbound/{outboundId}/Leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leadIds": [
"<string>"
]
}
'import requests
url = "https://api.nlpearl.ai/v1/Outbound/{outboundId}/Leads"
payload = { "leadIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({leadIds: ['<string>']})
};
fetch('https://api.nlpearl.ai/v1/Outbound/{outboundId}/Leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Specify the authorization token.
For more information, check out the Authorization Guide.
Path Parameters
The unique identifier of the outbound campaign from which the leads should be deleted.
Body
application/jsontext/jsonapplication/*+json
The request object containing the list of lead IDs to be deleted.
Represents the request object for deleting one or more leads associated with an outbound campaign.
A list of lead IDs to be deleted.
Response
Returns a boolean indicating if the deletion was successful.
The response is of type boolean.
Previous
Delete leads Via ExternalDeletes one or more leads associated with a specific outbound campaign.
Next
⌘I
Delete Leads

